Bug 859784 - [GFSE GUI] Unexpected code is displayed in the message when exporting a system template.
[GFSE GUI] Unexpected code is displayed in the message when exporting a syste...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
x86_64 Linux
high Severity high (vote)
: Unspecified
: --
Assigned To: David Davis
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 22:55 EDT by Lijun Li
Modified: 2014-09-18 11:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A missing template error caused unexpected code to display in the message when a system template was exported. This fix adds the error string and unexpected code is no longer displayed in the message.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:56:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unexpected code is displayed in the message when exporting a system template (85.26 KB, image/png)
2012-09-23 22:56 EDT, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-09-23 22:55:03 EDT
Description of problem:
Unexpected code is displayed in the message when exporting a system template

Version-Release number of selected component (if applicable):
katello-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install latest CloudForms System Engine build.
2. Log in CFSE.
3. Click the Content->System Templates application subtab.
4. Select/Add a new template
5. Add Package/Packages Groups/Repositories to the system template.
6. Click Download (Select an environment and Click Download)
  
Actual results:
Unexpected code is displayed in the message when exporting a system template

Expected results:
Should have no code to be displayed in the message.

Additional info:
Comment 1 Lijun Li 2012-09-23 22:56:15 EDT
Uexpected code:
Missing template system_templates/validate with {:locale=>[:en, :en], :formats=>[:html, :text, :js, :css, :ics, :csv, :xml, :rss, :atom, :yaml, :multipart_form, :url_encoded_form, :json, :svg, :tdl, :pdf], :handlers=>[:builder, :haml, :rjs, :rhtml, :rxml, :erb]} in view paths "/usr/share/katello/app/views", "/usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.11/app/views" (ActionView::MissingTemplate)

also please refer to the attached screenshot.
Comment 2 Lijun Li 2012-09-23 22:56:56 EDT
Created attachment 616340 [details]
Unexpected code is displayed in the message when exporting a system template
Comment 4 David Davis 2012-09-26 13:36:03 EDT
https://github.com/Katello/katello/pull/754

Katello SHA:

f0b07f66f6ec5d93fbf807410efbbddccbd8e36c
Comment 9 Og Maciel 2012-10-03 15:14:53 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-12.el6cf.noarch
* katello-all-1.1.12-12.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-6.el6cf.noarch
* katello-cli-common-1.1.8-6.el6cf.noarch
* katello-common-1.1.12-12.el6cf.noarch
* katello-configure-1.1.9-6.el6cf.noarch
* katello-glue-candlepin-1.1.12-12.el6cf.noarch
* katello-glue-pulp-1.1.12-12.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 11 errata-xmlrpc 2012-12-04 14:56:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 12 Mike McCune 2013-08-16 14:23:43 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.